/* This stylesheet should be included in every stylus stylesheet of the project */

@require '~s-grid/s-grid-functions'

/* Project colors */
$purple = #8200a0;
$darkpurple = #600C88;
$pink = #ff2882;
$yellow = #ffb400;
$lightgray = #f4f4f4;
$mediumgray = #ececec;
$darkgray = #dadada;
$darkestgray = #828282;
$black = #000000;
$orange = #ff6923;
$green = #00ebd2;

/* Spacings */
$tiny-spacing = 5px;
$small-spacing = 10px;
$medium-spacing = 20px;
$large-spacing = 30px;
$huge-spacing = 40px;

/* Font sizes */
$_font-base-size = 16px;
$font-xsmall = $_font-base-size * 0.625;
$font-small = $_font-base-size * 0.75;
$font-medium = $_font-base-size;
$font-large =  $_font-base-size * 1.25;
$font-xlarge = $_font-base-size * 2.125;

/* Font weights */
$fw-light = 200;
$fw-normal = 400;
$fw-semibold = 600;
$fw-bold = 700;

/* Custom grid function */
/* cell-nsg : no side gutter, cell with top and bottom gutter but no side gutter */
cell-nsg(i = 1, cols = columns, align = '', g = gutter) {
  cell(i, cols, align, g);
  margin-right: 0;
  margin-left: 0;
  flex-basis: s('calc(100% * %s)', i / cols);
}

/* stack no side gutter */
stack-nsg() {
  cell-nsg(1, 1);
}

gutter = $medium-spacing;
